Semaphor
Discovery

List databases

Returns the databases (or catalogs) available in a connection.

Call this after selecting a connection from GET /api/v1/connections. The results are filtered by any table-level security policies on your token.

GET
/api/v1/databases

Authorization

BearerAuth
AuthorizationBearer <token>

A project-scoped access token. Generate one via the Token API.

In: header

Query Parameters

connection_id*string

Connection ID returned by GET /api/v1/connections.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X get "https://semaphor.cloud/api/v1/databases?connection_id=string"
{
  "databases": [
    {
      "database_name": "string"
    }
  ],
  "sql": "string",
  "type": "string"
}
{
  "error": "string"
}
{
  "error": "string"
}
{
  "error": "string"
}
{
  "error": "string"
}